<?php
define('WP_USE_THEMES', false);

/** Loads the WordPress Environment and Template */
require_once('../../../wp-blog-header.php');
require_once (ABSPATH . 'wp-admin/includes/file.php');
global $wpdb;
$lwtb_table_name = $wpdb->prefix . "lwtb";
include_once ABSPATH . 'wp-content/plugins/webtabsbuilder-wordpress-plugin/include.php';
include_once ABSPATH . 'wp-content/plugins/webtabsbuilder-wordpress-plugin/widgetClass.php';


$LWTB_ver = '1';

$lwtb_total_tabs = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $lwtb_table_name;", null));

for ($lwtb=0; $lwtb< $lwtb_total_tabs; $lwtb++) {
	// LWTB_tabs_name
	if (isset($_POST["LWTB_tabs_name_".$lwtb]))
		$_POST["LWTB_tabs_name_".$lwtb] = lwtb_fix_tabs_name($_POST["LWTB_tabs_name_".$lwtb]);
}
// LWTB_tabs_path
if (isset($_POST["LWTB_tabs_path"])) {
	$lwtb_path = (string) $_POST["LWTB_tabs_path"];
	if ((strpos($lwtb_path, "/") != 0) || (strpos($lwtb_path, "/") === FALSE)) $lwtb_path = "/" . $lwtb_path;
	if (substr($lwtb_path, strlen($lwtb_path)-1,1) != "/") $lwtb_path = $lwtb_path . "/";
	$_POST["LWTB_tabs_path"] = $lwtb_path;
}

if ($_POST['theaction'] == "createnew") {
	lwtb_create_new();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>New tab control succesfully created!</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="set_defaults") {
	// first update all values, then reset this tab to defaults
	lwtb_update_option_values();
	lwtb_set_default_option_values(get_option('LWTB_selected_tab'));
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>Default Settings Loaded!</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="info_update") {
	// update all values
	$message = lwtb_update_option_values();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="delete") {
	$message = lwtb_delete_tabs();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=='hide_msg') {
	update_option('LWTB_Check_show', FALSE);
	wp_redirect($_POST['ref'] );
	exit;
} else if ($_POST['theaction']=="zip_update") {
	// update all values
	//lwtb_update_option_values();
	$message = lwtb_update_zip();
	if (!session_id()) {
		session_start();
	}
	$_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
	wp_redirect($_POST['ref'] );
	exit;
}
?>
