(function() {
	tinymce.create('tinymce.plugins.LWTB', {
		init : function(ed, url) {
			ed.addCommand('mceLWTB', function() {
				ed.windowManager.open({
					file : ajaxurl + '?action=lwtb_tinymce',
					width : 380 + ed.getLang('LWTB.delta_width', 0),
					height : 195 + ed.getLang('LWTB.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url, // Plugin absolute URL
					some_custom_arg : 'custom arg' // Custom argument
				});
			});
			
			ed.addButton('lwtb', {
				title : 'Insert Tab Control',
				image : url+'/icon.png',
				cmd : 'mceLWTB'
			});
			/*
			ed.onNodeChange.add(function(ed, cm, n) {
			cm.setActive('lwac', n.nodeName == 'IMG');
			});
			*/
		},
		createControl : function(n, cm) {
			return null;
		},
		getInfo : function() {
			return {
				longname : "Likno Web Tabs",
				author : 'Likno',
				authorurl : 'http://likno.com/',
				infourl : 'http://www.likno.com/jquery-tabs/wordpress-tabs.html',
				version : "1.2"
			};
		}
	});
	tinymce.PluginManager.add('lwtb', tinymce.plugins.LWTB);
})();

