<?php
/* This code saves the form values */
function lwtb_update_option_values() {
	global $lwtb_total_tabs, $lwtb_table_name ,$wpdb;
	for ($lwtb_t=0; $lwtb_t<$lwtb_total_tabs; $lwtb_t++) {
		if ($wpdb->get_var("SELECT COUNT(*) as cnt from $lwtb_table_name where id!=".$_POST["LWTB_tabs_id_".$lwtb_t]." AND name LIKE '".(string) $_POST["LWTB_tabs_name_".$lwtb_t]."'"))
			return "You must change name";
		$print_div = isset($_POST["lwtb_type_".$lwtb_t]);
		
		$wpdb->update( $lwtb_table_name, array('print_div' => $print_div,'position'=> (string) $_POST["lwtb_tabs_position_".$lwtb_t],'name' => (string) $_POST["LWTB_tabs_name_".$lwtb_t], 'active' => (bool) $_POST["LWTB_tabs_active_".$lwtb_t]),array('id'=>(int) $_POST['LWTB_tabs_id_' .$lwtb_t]) );
		
		if ((string) $_POST["lwtb_tabs_position_".$lwtb_t] == 'lwtb_widget' && (bool) $_POST["LWTB_tabs_active_".$lwtb_t] ){
			lwtb_create_widget_instance($lwtb_t);
		} else {
			lwtb_delete_widget_instance($lwtb_t);
		}
	}
	update_option('LWTB_selected_tab', (string) $_POST["LWTB_selected_tab"]);
	update_option('LWTB_tabs_path', (string) $_POST["LWTB_tabs_path"]);
	
	return "Settings Updated!";
}

function lwtb_create_new(){
	global $lwtb_table_name, $wpdb;
	$rows_affected = $wpdb->insert( $lwtb_table_name, array(  'name' => ""));
	$i = 1;
	while ($wpdb->get_var("SELECT COUNT(*) as cnt from $lwtb_table_name where name LIKE 'tabs".$i."'")){
		$i++;
	}
	$wpdb->update( $lwtb_table_name, array( 'name' => (string) "tabcontrol".$i ),array('id'=>$wpdb->insert_id) );
}

function lwtb_delete_tabs(){
    global $wpdb, $lwtb_table_name, $lwtb_total_tabs;
	if ($lwtb_total_tabs == 1) return  "This is the last tab control. You cannot delete it.";
	$wpdb->query("DELETE from $lwtb_table_name where id =".(int) $_POST['LWTB_tabs_id']);
	lwtb_delete_widget_instance((int) $_POST['LWTB_tabs_id'], true);
	
	if ((int) $_POST["LWTB_selected_tab_c"] == ($lwtb_total_tabs-1) &&  get_option('LWTB_selected_tab') == (int) $_POST["LWTB_selected_tab_c"])
		update_option('LWTB_selected_tab', ((int) $_POST["LWTB_selected_tab_c"])-1);
	return "Tab control deleted.";
}

/*
 * Helper function that creates Web Tabs Builder Widget Instances
 */
function lwtb_create_widget_instance($lwtb){
	//retrieve all instances of widget.
	$a = get_option('widget_widget_webtabsbuilder');
	//a flag to find if this instance is already setted
	$a2 = $a;
	$notSet = true;
	//variable to hold where is the last instance saved
	$_keyPos = count($a) - 2;
	
	$i = 0;
	$keyToSave = -1;
	$keyThatExists = -1;
	
	foreach ( (array) $a as $_key=>$m_instance) {
		//save the key of the last instance
		if ($i == $_keyPos){
			$keyToSave =  $_key;
		}
		$i++;
		
		if (!empty($m_instance['div_name']) ) {
			if ($m_instance['div_name'] == (int) $_POST["LWTB_tabs_id_".$lwtb]){
				//if it's already defined set the flag to false
				$notSet = false;
				$keyThatExists = $_key;
				break;
			}
		}
	}
	if (count($a) == 1) {
		$keyToSave = 1;
	}
	if ($notSet && $keyToSave!=-1) {
		//create the new instace
		$a2[ $keyToSave + 1 ] = array ('div_name' => (int) $_POST["LWTB_tabs_id_".$lwtb] );
		ksort($a2 , SORT_STRING);
		update_option('widget_widget_webtabsbuilder',$a2);
		//adds the new instance to inactive widgets
		
		$sidebar_widgets = (get_option('sidebars_widgets'));
		$sidebar_widgets['wp_inactive_widgets'][count($sidebar_widgets['wp_inactive_widgets'])] = 'widget_webtabsbuilder-'.($keyToSave + 1);
		update_option('sidebars_widgets', $sidebar_widgets);
	}
	/*
	else if ($notSet && $keyThatExists!=-1){

	$alreadyFlag = true;
	$sidebar_widgets = (get_option('sidebars_widgets'));
	$sidebar_widgets2 = $sidebar_widgets = (array)$sidebar_widgets;
	//loop through sidebats to find instances of the widghet
	foreach ($sidebar_widgets as $name_of_sidebar=>$sidebar){
	foreach ((array)$sidebar as $sidebar_i=>$widget_instance_name){
	if ($widget_instance_name == 'widget_tabsbuilder-'.$keyThatExists){
	$alreadyFlag = false;
	}
	}
	}

	if ($alreadyFlag)
	{
	$sidebar_widgets = (get_option('sidebars_widgets'));
	$sidebar_widgets['wp_inactive_widgets'][count($sidebar_widgets['wp_inactive_widgets'])] = 'widget_webtabsbuilder-'.($keyThatExists);
	update_option('sidebars_widgets', $sidebar_widgets);
	}

	}

	*/
	}
/*
 * Helper function that deletes a widget instance
 */
function lwtb_delete_widget_instance($lwtb, $isId = false){
	//if not an lwtb_widget we should check if this tabs
	//widget instance exists so to remove it from the instances and sidebars
	
	$id = -1;
	if ($isId) $id = $lwtb;
	else $id = (int) $_POST["LWTB_tabs_id_".$lwtb];
	
	$notSet = TRUE;
	$notSet2 = TRUE;
	$a = get_option('widget_widget_webtabsbuilder');
	$a2 = $a = (array) $a;
	//array to hold keys to remove in case we find one or more instances
	$keysToRemove = array();
	
	foreach ( $a as $_key=>$m_instance) {
		if (!empty($m_instance['div_name']) ) {
			if ($m_instance['div_name'] == $id) {
				$notSet = false;
				unset ($a2[$_key])  ;
				$keysToRemove[] = $_key ;
			}
		}
	}
	if (!$notSet) {
		ksort($a2 , SORT_STRING);
		update_option('widget_widget_webtabsbuilder',$a2);
		//retrieve the sidebars
		$sidebar_widgets = (get_option('sidebars_widgets'));
		$sidebar_widgets2 = $sidebar_widgets = (array)$sidebar_widgets;
		//loop through sidebats to find instances of the widghet
		foreach ($sidebar_widgets as $name_of_sidebar=>$sidebar) {
			foreach ((array)$sidebar as $sidebar_i=>$widget_instance_name) {
				foreach ($keysToRemove as $keyToRemove) {
					if ($widget_instance_name == 'widget_webtabsbuilder-'.$keyToRemove) {
						unset($sidebar_widgets2[$name_of_sidebar][$sidebar_i]);
						$notSet2 = false;
					}
				}
			}
		}
		if (!$notSet2) {
			ksort($sidebar_widgets2, SORT_STRING);
			update_option('sidebars_widgets', $sidebar_widgets2);
		}
	}
}

/* The function that uploads the zip file */
function lwtb_update_zip() {
	global $lwtb_table_name,$wpdb;
	global $lwtb_total_tabs;
	
	update_option('LWTB_selected_tab', (string) $_POST["LWTB_selected_tab_c"]);
	foreach ($_FILES as $src) {
		if ($src['size']) {
			$folder = get_option('LWTB_tabs_path');
			$or_name = str_replace("-","_",($wpdb->get_var("SELECT name from $lwtb_table_name where id = ".(int) $_POST["LWTB_tabs_id"]).'.zip'));
			if ($src['name'] != "wordpress_".$or_name) {
				return "Error: Wrong filename (".$src['name']."). It should be: 'wordpress_".$or_name."'.";
			}
			if (file_exists (ABSPATH.$folder.$src['name'])) unlink ( ABSPATH.$folder.$src['name'] );
			if (!file_exists(ABSPATH.$folder)) {
				if (!mkdir(ABSPATH.$folder)) return "Error: This folder does not exist '".$folder."'. You should create it by yourself." ;
			}
			
			$wantedPerms = 0755;
			$actualPerms = fileperms(ABSPATH.$folder);
			if ($actualPerms < $wantedPerms) {
				if (!chmod (ABSPATH.$folder, $wantedPerms)) {
					return "Error: Cannnot write to folder: '".$folder."'." ;
				}
			}
			define('UPLOADS', $folder);
			$overrides = array('test_form' => false);
			if (($uploads_use_yearmonth_folders = get_option('uploads_use_yearmonth_folders'))) update_option('uploads_use_yearmonth_folders', 0);
			
			WP_Filesystem();
			$file = wp_handle_upload($src, $overrides);
			if ($uploads_use_yearmonth_folders == 1) update_option('uploads_use_yearmonth_folders', 1);
			if (function_exists(unzip_file)) {
				$result = unzip_file($file['file'], ABSPATH.$folder);
				if (is_wp_error($result)) {
					@unlink($file['file']);
					@chmod ($file_path , $actualPerms);
					return "Error: Unzipping file failed.";
				}
			} else {
				@unlink($file['file']);
				@chmod ($file_path , $actualPerms);
				return "ZIP upload requires WordPress version 2.5 or greater.";
			}
			@unlink($file['file']);
			@chmod ($file_path , $actualPerms);
			return "Tab control files successfully uploaded.";
		}
	}
	update_option('LWTB_selected_tab', (string) $_POST["LWTB_selected_tab_c"]);
}


/* This code sets the plugin up for first-time-run */
function lwtb_set_first_time_options() {
	global $lwtb_total_tabs,$lwtb_table_name,$wpdb;
	
    if($wpdb->get_var("SHOW TABLES LIKE '$lwtb_table_name'") != $lwtb_table_name) {
		$sql = "CREATE TABLE " . $lwtb_table_name . "(
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		name tinytext NOT NULL DEFAULT '',
		active BOOLEAN NOT NULL DEFAULT  '0',
		position tinytext NOT NULL DEFAULT '',
		print_div BOOLEAN NOT NULL DEFAULT  '0',
		UNIQUE KEY id (id)
		) ;";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
		if ($wpdb->get_var("SHOW TABLES LIKE '$lwtb_table_name'") != $lwtb_table_name) {
			return "Could not create table. Please check your privileges";
		}
		
		$rows_affected = $wpdb->insert( $lwtb_table_name, array(  'name' => (string) "tabcontrol1", 'position' => (string) "shortcode"));
		update_option('LWTB_selected_tab', '0');
    }
	
	add_option('LWTB_tabs_path', '/wp-content/plugins/webtabsbuilder-wordpress-plugin/files/');
	add_option('LWTB_Checked', FALSE);
	add_option('LWTB_Checked_Date', '00');
	add_option('LWTB_selected_tab', '0');
}

/* This code corrects the tabs name if it has paths or extension */
function lwtb_fix_tabs_name($lwtb_m) {
	$lwtb_name = $lwtb_m;
	if (strpos($lwtb_name,"/")>-1 || strpos($lwtb_name,".js")>-1 ) {
		$lwtb_nm = explode("/", $lwtb_name);
		$lwtb_name = $lwtb_nm[1];
		$lwtb_nm = explode(".", $lwtb_name);
		$lwtb_name = $lwtb_nm[0];
	}
	return $lwtb_name;
}

/* This code checks for updated versions of the Web Tabs Builder software and informs the user if necessary */
function lwtb_check() {
	global $lwtb_url, $lwtb_total_tabs, $wpdb, $lwtb_table_name;
	$lwtb_the_msg = array();
	$lwtb_realpath = ABSPATH. get_option('LWTB_tabs_path');
	$lwtb_path = get_bloginfo('url') . get_option('LWTB_tabs_path');
	
	error_reporting(0);
	$myrows = $wpdb->get_results("SELECT name FROM $lwtb_table_name where active = 1 ORDER BY id ASC");
	for ($lwtb_t=0; $lwtb_t<$lwtb_total_tabs; $lwtb_t++) {
		$lwtb_the_msg[$lwtb_t] = "";
		$lwtb_name = trim($myrows[$lwtb_t]->name).".js";
		$lwtb_parent = trim($myrows[$lwtb_t]->name);
		if (! ($lwtb_tabsfile = fopen($lwtb_realpath . $lwtb_parent . DIRECTORY_SEPARATOR .$lwtb_name, 'r'))) {
			$lwtb_the_msg[$lwtb_t] = "Tab control ".$myrows[$lwtb_t]->name." was not found at: ". $lwtb_path .$lwtb_parent."/".$lwtb_name;
			continue;
		} elseif (! ($lwtb_mfile = fread($lwtb_tabsfile, filesize($lwtb_realpath .$lwtb_parent.DIRECTORY_SEPARATOR.$lwtb_name)))) {
			$lwtb_the_msg[$lwtb_t] = "Could not read tab control at: ". $lwtb_path .$lwtb_parent."/".$lwtb_name;
			continue;
		}
		
		preg_match('#\/*([^\*]*)\*/#', $lwtb_mfile, $matches);
		if ($matches[1]==null) {
			$lwtb_the_msg[$lwtb_t] = "Could not read tab control at: ". $lwtb_path . $lwtb_parent."/".$lwtb_name;
			continue;
		}
		
		$lwtb_buildNo = $matches[1];
		
		$lwtb_params = "prod=lwtb&plugin=wordpress&build=".$lwtb_buildNo."&rand=". rand(1,10000) ."&domain=". get_bloginfo('url');
		
		if (function_exists('curl_init')) {
			if (! ($lwtb_tmp = lwtb_geturl($lwtb_params))) {
				$lwtb_the_msg[$lwtb_t] = "Could not retrieve version information for ".$myrows[$lwtb_t]->name.". Please <a href='mailto:support@likno.com?subject=WordPress: Error while retrieving version info'>contact Likno</a> for more information.";
			} else {
				$lwtb_the_msg[$lwtb_t] = $lwtb_tmp;
			}
			continue;
		} else {
			$lwtb_the_msg[$lwtb_t] = '<iframe src='. $lwtb_url .'?'. $lwtb_params .' width="600px" height="80px"></iframe>';
		}
	}
	
	$lwtb_has_msg = false;
	for ($lwtb_t=0; $lwtb_t<$lwtb_total_tabs; $lwtb_t++) { if ($lwtb_the_msg[$lwtb_t] != "") {$lwtb_has_msg = true; break;} }
	
	$lwtb_the_full_msg = "";
	if ($lwtb_has_msg) {
		$lwtb_the_full_msg = "<div class='updated fade'>";
		for ($lwtb_t=0; $lwtb_t<$lwtb_total_tabs; $lwtb_t++) if ($lwtb_the_msg[$lwtb_t] != "") $lwtb_the_full_msg .= "<br><strong>Note about ".$myrows[$lwtb_t]->name.": </strong><br>".$lwtb_the_msg[$lwtb_t]."<br>";
		$lwtb_the_full_msg .= "<br><input type='button' value='Hide Notifications' onclick='theform.theaction.value=\"hide_msg\"; theform.submit();'/><br>&nbsp;</div>";
	}
	
	update_option('LWTB_Checked', TRUE);
	update_option('LWTB_Checked_Date', date('d'));
	error_reporting(1);
	return $lwtb_the_full_msg;
}

/* Helper code for above function */
global $lwtb_url;
$lwtb_url="http://www.likno.com/addins/plugin-check.php";
function LWTB_geturl($lwtb_params) {
    global $lwtb_url;
    $lwtb_ch = curl_init();
    curl_setopt ($lwtb_ch, CURLOPT_URL,$lwtb_url);
	curl_setopt($lwtb_ch, CURLOPT_POST, 1);
    curl_setopt($lwtb_ch, CURLOPT_POSTFIELDS, $lwtb_params);
	
    curl_setopt($lwtb_ch, CURLOPT_RETURNTRANSFER, 1);
    $lwtb_postResult = curl_exec($lwtb_ch);
	
    return $lwtb_postResult;
}

?>